Subject: ab/object-file-api-updates (was: What's cooking in git.git (Feb 2022, #06; Wed, 23))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 24 Feb 2022 10:18:43 +0100

On Wed, Feb 23 2022, Junio C Hamano wrote:

> * ab/object-file-api-updates (2022-02-04) 11 commits
>  - object-file API: pass an enum to read_object_with_reference()
>  - object-file.c: add a literal version of write_object_file_prepare()
>  - object-file API: have hash_object_file() take "enum object_type"
>  - object API: rename hash_object_file_literally() to write_*()
>  - object-file API: split up and simplify check_object_signature()
>  - object API: make check_object_signature() oideq()-like, move docs
>  - object API: correct "buf" v.s. "map" mismatch in *.c and *.h
>  - object-file API: have write_object_file() take "enum object_type"
>  - object-file API: add a format_object_header() function
>  - object-file API: return "void", not "int" from hash_object_file()
>  - object-file.c: split up declaration of unrelated variables
>
>  Object-file API shuffling.
>  source: <[email-masked]>

There's an outstanding v3 of this that hasn't been picked up & addresses
earlier feedback of yours[1].

I think with that v3 this should be ready to advance.

Jiang Xin had feedback in [2] about avoiding some casts by having the
added functions take a "void *" insted of a "char *", which as I replied
to I think we'd like to not do, and is consistent with how we tend to
handle those casting issues in existing code.

1. https://lore.kernel.org/git/[email-masked]/
2. https://lore.kernel.org/git/[email-masked]/